Skip to main content
`Ctrl`+`K`

# SNESGetObjective

Returns the objective function set with `SNESSetObjective()`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetObjective(SNES snes, SNESObjectiveFn **obj, PetscCtxRt ctx)

Not Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameters

- obj - objective evaluation routine (or `NULL`); see `SNESObjectiveFn` for the calling sequence

- ctx - the function context (or `NULL`)

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetObjective()`, `SNESGetSolution()`, `SNESObjectiveFn`

## Level

advanced

## Location

src/snes/interface/snesob.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages